@import url('https://fonts.googleapis.com/css?family=Comfortaa|Roboto&display=swap');

html,
body {
	width: 100%;
	min-height: 100%;
	padding: 0;
	margin: 0;
	font-family: 'Roboto', sans-serif;
	scrollbar-color: #2a2c2e #1c1e1f !important;
}

::-webkit-scrollbar {
	background-color: #1c1e1f !important;
}

::-webkit-scrollbar-thumb {
	background-color: #2a2c2e !important;
}

div {
	padding: 0;
	margin: 0;
}

body {
	/*background-image: url(../img/pattern.png);
	background-size: 400px;
	animation: background-slide 5s linear infinite;*/
	background-color: #232528;
	overflow-x: hidden;
	height: 100vh;
	position: relative;
}

hr {
	border-top: 1px solid gray;
	margin-top: 5px;
	margin-bottom: 5px;
}

#root {
	height: 100vh;
}

@keyframes background-slide {
	0% {
		background-position: 0px 0px;
	}

	100% {
		background-position: 400px 400px;
	}
}

/* login */
#token-form {
	background-color: #2c2f34;
	width: 350px;
	position: absolute;
	top: 50%;
	left: 50%;
	margin-left: -175px;
	margin-top: -75px;
	padding-bottom: 10px;
	box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.75);
}

#token-form>.title {
	background-color: #B51235;
	padding: 5px;
	margin: 0;
}

.title {
	color: white;
	font-size: 18px;
	display: block;
	font-family: 'Comfortaa', sans-serif;
}

#token-input {
	background-color: #4f545c;
	border: none;
	color: #b9bbbe;
	padding: 0px;
	margin: 0 auto;
	display: block;
	width: 95%;
	height: 30px;
	margin-top: 10px;
	margin-bottom: 10px;
	text-align: center;
}

#token-form>button {
	margin: 0 auto;
	width: 95%;
}

.classic-btn {
	background-color: #b9bbbe;
	padding: 10px;
	color: #2c2f34;
	font-weight: bolder;
	border: none;
	display: block;
	overflow: hidden;
}

.classic-btn:hover {
	background-color: white;
}

.purple-btn {
	display: block;
	text-align: center;
	background-color: #7289da;
	padding: 5px;
	color: white;
	border: none;
	transition: 0.2s;
	overflow: hidden;
}

.purple-btn:hover {
	background-color: #677bc4;
}

.red-btn {
	display: block;
	text-align: center;
	background: transparent;
	color: #f04747;
	border: 1px solid rgba(240, 71, 71, 0.6);
	padding: 15px 5px;
	transition: 0.2s;
}

.red-btn:hover {
	border: 1px solid rgba(240, 71, 71, 1);
}

.small-btn {
	width: 100%;
	padding: 0;
	height: 32px;
}

.large-btn {
	height: 68px;
	width: 100%;
}

/* loader */
#loader {
	width: 100px;
	height: 100px;
	border-radius: 100%;
	position: absolute;
	bottom: 0px;
	right: 0px;
	color: white;
	display: none;
}

#loader:before,
#loader:after {
	content: "";
	position: absolute;
	top: -40px;
	left: -25px;
	width: 100%;
	height: 100%;
	border-radius: 100%;
	border: 5px dotted black;
	border-top-color: white;
}

#loader:before {
	z-index: 100;
	animation: spin 1s infinite;
}

#loader:after {
	border: 10px solid transparent;
}

@keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

/* custom select */
/* The container must be positioned relative: */
.conduit-select {
	display: block;
	position: relative;
	width: 100%;
}

.conduit-select select {
	display: none;
	/*hide original SELECT element: */
}

.select-selected {
	background-color: #232528;
	border: 1px solid black;
	font-size: 13px;
	white-space: nowrap;
	overflow: hidden;
}

/* Style the arrow inside the select element: */
.select-selected:after {
	position: absolute;
	content: "";
	top: 14px;
	right: 10px;
	width: 0;
	height: 0;
	border: 6px solid transparent;
	border-color: #fff transparent transparent transparent;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
	border-color: transparent transparent #fff transparent;
	top: 7px;
}

/* style the items (options), including the selected item: */
.select-items>div,
.select-selected {
	color: #ffffff;
	padding: 5px 5px;
	cursor: pointer;
}

.select-items>div {
	border-bottom: 1px solid #2a2c2e;
}

/* Style items (options): */
.select-items {
	font-size: 13px;
	position: absolute;
	background-color: #2c2f34;
	top: 100%;
	left: 0;
	right: 0;
	z-index: 99;
	min-width: 100%;
	width: min-content;
	white-space: nowrap;
	overflow-x: hidden;
	overflow-y: scroll;
	max-height: 400px;
	border: 1px solid black;
	border-top: none;
}

/* Hide the items when the select box is closed: */
.select-hide {
	display: none;
}

.select-items div:hover,
.same-as-selected {
	background-color: rgba(0, 0, 0, 0.1);
}

/* bot avatar */
.avatar-control {
	border-radius: 99999px;
	width: 64px;
	height: 64px;
	position: relative;
	overflow: hidden;
	transition: 0.2s;
	margin: 0 auto;
}

.avatar-control:hover {
	box-shadow: 0 0 5px black;
}

.avatar-control>img {
	position: absolute;
	width: 64px;
	height: 64px;
}

.avatar-control>span {
	position: absolute;
	line-height: 64px;
	text-align: center;
	color: white;
	font-size: 20px;
	width: 64px;
	height: 64px;
	background-color: rgba(0, 0, 0, 0.2);
}

.avatar-control>input {
	display: none;
}

.avatar-control>button {
	text-align: center;
	position: absolute;
	width: 64px;
	height: 64px;
	background: transparent;
	color: transparent;
	border: none;
	transition: 0.2s;
	font-weight: bolder;
}

.avatar-control>button:hover {
	background-color: rgba(0, 0, 0, 0.3);
	color: white;
}

/* panels & dashboard*/
#dashboard {
	display: none;
}

.dashboard-header {
	background-color: #B51235;
	padding: 5px;
	margin: 0;
}

.dashboard-header>.title {
	text-align: left;
	margin: 0;
}

.dashboard-header>.fold-btn {
	float: right;
	color: white;
	border: none;
	background: transparent;
	margin-top: -26px;
	font-weight: bolder;
	font-style: 16px;
	width: 100%;
	text-align: right;
	padding: 5px;
}

.dashboard-panel {
	margin-top: 15px;
	color: white;
	background-color: #2c2f34;
}

.dashboard-panel,
#dashboard-header {
	padding: 0;
	box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.75);
}

.dashboard-info {
	background-color: #2c2f34;
	padding: 5px 10px 5px 10px;
	margin-left: 0;
	margin-right: 0;
	padding-top: 10px;
}

.bot-edit-input {
	color: white;
	border: 1px solid black;
	background: #232528;
	display: block;
	width: 100%;
	margin-bottom: 5px;
	transition: 0.2s;
	padding: 5px;
}

.bot-edit-input:focus {
	border: 1px solid #7289da;
}

.bot-stats {
	color: white;
}

#bot-invite {
	color: white;
	text-decoration: none;
	margin-top: 3%;
	width: 100%;
}

#disconnect-btn {
	width: 100%;
	margin-top: 3%;
}

#console {
	background-color: black;
	color: white;
	width: 100%;
	height: 300px;
	overflow: scroll;
	padding: 5px;
	scrollbar-width: none;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bolder;
}

#console::-webkit-scrollbar {
	display: none;
}

.header>img {
	width: 400px;
}

.emoji-selector>img {
	display: inline-block;
	margin-bottom: 5px;
	margin-right: 5px;
	overflow: hidden;
	height: 32px;
	width: 32px;
}

@media only screen and (max-width: 990px) {
	.container {
		width: 100% !important;
	}

	#console-panel {
		display: none;
	}

	#dashboard>.row {
		padding-bottom: 15px !important;
	}

	.avatar-control>img,
	.avatar-control>button,
	.avatar-control {
		width: 256px;
		height: 256px;
	}

	.avatar-control {
		margin-bottom: 10px;
	}

	.guild-avatar {
		margin-right: 0px;
	}

	.header>img {
		width: 100%;
	}
}